Page MenuHomePhabricator

WikiToLearn: Problem while converting from LiquidThreads to Flow
Closed, ResolvedPublic

Description

Hello,

I am Cristian Baldi, from the WikiToLearn team. I am trying to convert the wiki from LiquidThreads to Flow but I am facing some isues.

A few preliminary details

The problem

While attempting the conversion of all the discussions the conversion script throws exceptions only for User Discussions. Page discussions works very good.

This is the output that each User Discussion produces: http://pastebin.com/1kfdD9hU

The main exception is "Board move not prepared." and it only happens with the User Discussions.

Step by step

  • Enabled both LiquidThread and Flow
  • Set the correct MW_INSTALL_PATH and WIKI env variables
  • Ran php mediawiki/maintance/update.php
    • (After this I checked user and page discussion and both were doing fine, showing at the same time the old liquid threads and the new Flow interface)
  • Ran php mediawiki/extensions/flow/maintance/convertAllLqtPages.php
    • This is when the error is produced

Am I doing something wrong?

Thanks for your help,

Cristian Baldi

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 5 2016, 11:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Kghbln added a subscriber: Kghbln.Mar 5 2016, 12:05 PM

Thanks for providing this info. It was good talking to Riccardo about this at FOSDEM, and I'm glad to hear your team is working on it.

It looks from http://en.wikitolearn.vodka/Special:Version like you're using all of core, LiquidThreads, and Flow from 1.26 release branch, which makes sense.

A few questions:

Without testing, my guess is:

If so, try:

  • Not enabling Flow in any namespaces (comment out those lines).
  • Do the migration (despite Flow not being enabled on any namespaces, LiquidThreads pages can still be converted). This is what we did at MediaWiki.org (though with different settings), and are working on at ptwikibooks (closer settings to yours I think).
  • After all LiquidThreads pages are successfully converted (first in dev, then prod), enable Flow on namespaces. This will make non-existent pages Flow going forwards.
Mattflaschen-WMF renamed this task from Problem while converting from LiquidThreads to Flow to WikiToLearn: Problem while converting from LiquidThreads to Flow.Apr 7 2016, 1:21 AM

Hey guys,

sorry for not replying earlier. I had some other issues to take care of.

In the end to make everything work (well, sort of work) we had to drop all the liquidthread dicussions (by manually deleting them from the Database). Mainly because for no reason the migrate script stopped working (i don't remember the exact error, it was a few months ago, it was something about a "missing class", but the class was in the correct folder and I tried everything to make the script work (including a clean clone of Flow)).

As a final result we got flow working but without keeping the old discussions (we decided it was ok).

Right now we are facing another problem with Flow (about the discussion page not working on the first load ever), if I don't find any solutions I will create an issue here.

Sorry for not beign that helpful with this problem (by not providing additional informations).

Mattflaschen-WMF closed this task as Resolved.Jun 2 2016, 10:05 PM

Sorry to hear you were not able to solve the migration problems, but glad to hear you got it working.

(For other people following this bug, the issue mentioned at the end was a minor issue, now fixed: T134984: Discussion page stuck loading only on first load; "TypeError: $.throttle is not a function").

(Closing since they worked around it, so we can't investigate further).